#!/bin/sh
#
# FONCTION PING v2.1.1
# 
# Mise à jour :
# - le 2015/09/11 : Modification de l'exemple de parametrage " par défaut les valeurs de réitération sont à 0 V2.1.1
# - le 2015/08/27 : Modification du shebang + (rajout du privilége 'sudo' lors de l'éxécution de Ping) 'merci @Kouaw'  V2.1 
# - Le 2015/03/02 : Intégration des ré-essais sur échec du ping 'Merci' @Laco + Diminution du nb de paquets envoyés v2.0
# - Le 2014/11/01 : Création par Bebel27 v1.0
#
# PARAMETRAGE :
# - Ping.sh $1 $2 $3 
# - $1 : Adresse IP au format XX.XX.XX.XX (exemple : 192.168.1.10)
# - $2 : Nombre de ré-essai au format entier. (exemple : 10). Si aucune saisie, valeur par défaut = 0
# - $3 : Temporisation en seconde au format entier.  (exemple : 5). Si aucune saisie, valeur par défaut = 0
#
# Exemple de paramétrage global : 192.168.1.10 10 5
#
#--------------------------------------------------
#-A noter ce script est incompatible avec Synology- ### à vérifier ####
#--------------------------------------------------

COUNT=0
IP="$1"
# Initialisation par défaut des variables si les 3 paramètres ne sont pas renseignés
if [ "$#" != "3" ]; then
   MAXRETRY=0
   WAIT=0
else
   
   MAXRETRY="$2"
   WAIT="$3"
fi
   
# Test ping
sudo ping "$IP" -c2 -q > /dev/null 2>&1
while [ $? -ne 0 ]; do
   # Réitération
   if [ "$COUNT" = "$MAXRETRY" ]; then
      echo 0
      exit
   fi
   COUNT=$((COUNT + 1))
   sleep "$WAIT"
   sudo ping "$IP" -c2 -q > /dev/null 2>&1
done
echo 1